Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb
Interface RangeType

All Known Implementing Classes:
  RangeTypeImpl

    public interface RangeType

Used to specify a range of values as part of describing the location of content within the container; the unit attribute describes the unit of measure (e.g., begin = "xxiv", end = "xxvii", unit = "page"). Java content class for rangeType complex type.

The following schema fragment specifies the expected content contained within this java content object. (defined at file:/Users/gw/tech/ecl-wkspaces-infoml/InfOrg-101105-stable-v1_0/InfocardOrganizer-v1_0/infomlFile.xsd line 676)

     <complexType name="rangeType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="begin" use="required" type="{http://infoml.org/infomlFile}nonnullTokenType" />
           <attribute name="end" use="required" type="{http://infoml.org/infomlFile}nonnullTokenType" />
           <attribute name="unit" type="{http://infoml.org/infomlFile}nonnullTokenType" />
         </restriction>
       </complexContent>
     </complexType>

Method Summary
`java.lang.String` | `getBegin()` Gets the value of the begin property.
`java.lang.String` | `getEnd()` Gets the value of the end property.
`java.lang.String` | `getUnit()` Gets the value of the unit property.
`void` | `setBegin(java.lang.String value)` Sets the value of the begin property.
`void` | `setEnd(java.lang.String value)` Sets the value of the end property.
`void` | `setUnit(java.lang.String value)` Sets the value of the unit property.

Method Detail

### getEnd

    java.lang.String getEnd()

  Gets the value of the end property.

  Returns:
    possible object is `String`

### setEnd

    void setEnd(java.lang.String value)

  Sets the value of the end property.

  Parameters:
    `value` - allowed object is `String`

### getBegin

    java.lang.String getBegin()

  Gets the value of the begin property.

  Returns:
    possible object is `String`

### setBegin

    void setBegin(java.lang.String value)

  Sets the value of the begin property.

  Parameters:
    `value` - allowed object is `String`

### getUnit

    java.lang.String getUnit()

  Gets the value of the unit property.

  Returns:
    possible object is `String`

### setUnit

    void setUnit(java.lang.String value)

  Sets the value of the unit property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD